Renames an AI hosting plan
PUT/v2/ customers/ {customerId}/ ai-hostings/ {planId}/
API version
v2
Request method
PUT
Operation ID
ai-hosting-customer-update-plan
Request
Responses
Usage examples
- cURL
- JavaScript SDK
- PHP SDK
$ curl \
--fail \
--location \
-X PUT \
-d '{"description":"string"}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/customers/string/ai-hostings/string
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";
const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.aiHosting.aiHostingCustomerUpdatePlan({
"customerId": "string",
"planId": "string",
"data": {
"description": "string"
}
});
assertStatus(response, 204);
use \Mittwald\ApiClient\Generated\V2\Clients\AIHosting\AiHostingCustomerUpdatePlan\AiHostingCustomerUpdatePlanRequest;
use \Mittwald\ApiClient\Generated\V2\Clients\AIHosting\AiHostingCustomerUpdatePlan\AiHostingCustomerUpdatePlanRequestBody;
$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));
// TODO: Please consult the properties and constructor signature of
// AiHostingCustomerUpdatePlanRequestBody to learn how to construct a valid instance
$body = new AiHostingCustomerUpdatePlanRequestBody(/* TODO: ... */);
$request = (new AiHostingCustomerUpdatePlanRequest(
customerId: "string",
planId: "string",
body: $body
));
$response = $client->aiHosting()->aiHostingCustomerUpdatePlan($request);
var_dump($response->getBody();